Get Payment
https://api.druo.com/payments/{transaction_uuid}Retrieve the details of an existing payment.
Retrieves the full transaction details for a specific payment using its unique transaction UUID.
Path parameters
The unique identifier of the resource.
Response
The current status of the transaction.
CREATEDPENDINGPROCESSINGSUCCESSFULREFUNDEDDISPUTEDFAILEDCANCELEDREVERSEDSUCCESSFULThe tenant that originated the transaction.
{"uuid": "ten_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20"}The creation source channel of the transaction.
MERCHANT_PORTALThe amount of money, in the smallest currency denomination (e.g., cents for USD).
10000The variable fee amount charged for this transaction in the smallest currency denomination.
300The fixed fee amount charged for this transaction in the smallest currency denomination.
100The total net amount (amount minus total_fee) to be paid for this transaction.
9600The customer-facing description of this transaction.
Insurance policy renewal - INV12324Internal remarks or notes associated with the transaction.
REQUESTED_BY_MERCHANT\nOther values here.The funding source account used to pay for this transaction.
{"uuid": "acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340"}The value that will appear on your customers' statements. Must contain at least one letter and be between 4 and 22 characters.
NOVO BILLING* INV12324An optional primary external ID associated with the transaction (maximum 40 characters).
ABC123An optional secondary external ID associated with the transaction (maximum 40 characters).
bj39fhow39fhqp3f0hfae4344Key-value pairs containing custom metadata (up to 50 keys, names up to 40 characters, values up to 500 characters).
{"order_id": "6735"}If true, the system will automatically generate and send a receipt using the preferred delivery method.
falseThe UTC timestamp of when the transaction was created.
2021-11-15T23:23:38The UTC timestamp of when the transaction was last updated.
2021-11-15T23:23:38Information regarding split payments or additional recipient transactions created.
[{"tenant_id": "ten_82121783-2f4b-4f62-ad45-a32fbe4e86e7", "amount": "1000", "description": "Payout split by percentage", "uuid": "trx_d9c67ff8-8739-462a-9b6b-932d3805e2b3"}]
